// 
// This header file is generated automatically
// (C) Copyright Verified Systems International GmbH
// 

// Global Definitions
// 
#ifndef _ifm_1_A2C_H
#define _ifm_1_A2C_H

#ifndef true
#define true   1
#endif

#ifndef false
#define false  0
#endif

// Types
// 
typedef enum { 
 csp_accelerate,
 csp_brake,
 csp_ctrl,
 csp_maxSpeedReached,
 csp_slowDown,
 csp_speed,
 csp_speedUp,
 csp_steady,
 csp_unDef,
 csp_zeroSpeedReached
} t_csp_tokens;

// Definitions
// 
#define NO_OF_EVENTS 123
#define NO_OF_PARMS 3


#define FIRST_OUTPUT_EVENT 103
#define LAST_OUTPUT_EVENT 122

#define NO_OF_OUTPUT_EVENTS 20

// Function Prototypes
// 
extern int rttChanOf(int event);
extern int rttParmOf(int event, int parmNum);

extern int rttEventOf(int chan, ...);

#endif // _ifm_1_A2C_H
