/*
\begin{verbatim}
//////////////////////////////////////////////////////////////////////
//
// Verified Systems International GmbH
// Prof. Dr. Jan Peleska
// Parkstrasse 78
// D-28209 Bremen
// Germany
// Tel.  : +49 421 344576
// Fax   : +49 421 344586
// e-mail: jp@verified.de
//
//--------------------------------------------------------------------
//
// (C) Copyright Verified Systems International GmbH $Date: $
//
//--------------------------------------------------------------------
//
// Produkt: RTT - Interface Module
//
//--------------------------------------------------------------------
//
// File Identification:
//
// $Header: $
// $Revision: $
//
// First edition by: tsio
// Last update by $Author: $
//
//--------------------------------------------------------------------
// Description:
//--------------------------------------------------------------------*/

#ifndef _TEMPLATE_1_H
#define _TEMPLATE_1_H

// Defines generated automatically from .t-File

#define CTRL_SPEEDUP_0                      0
#define CTRL_SPEEDUP_1                      1
#define CTRL_SPEEDUP_2                      2
#define CTRL_SPEEDUP_3                      3
#define CTRL_SPEEDUP_4                      4
#define CTRL_SPEEDUP_5                      5
#define CTRL_SPEEDUP_6                      6
#define CTRL_SPEEDUP_7                      7
#define CTRL_SPEEDUP_8                      8
#define CTRL_SPEEDUP_9                      9
#define CTRL_SLOWDOWN_0                     10
#define CTRL_SLOWDOWN_1                     11
#define CTRL_SLOWDOWN_2                     12
#define CTRL_SLOWDOWN_3                     13
#define CTRL_SLOWDOWN_4                     14
#define CTRL_SLOWDOWN_5                     15
#define CTRL_SLOWDOWN_6                     16
#define CTRL_SLOWDOWN_7                     17
#define CTRL_SLOWDOWN_8                     18
#define CTRL_SLOWDOWN_9                     19
#define CTRL_STEADY_0                       20
#define CTRL_STEADY_1                       21
#define CTRL_STEADY_2                       22
#define CTRL_STEADY_3                       23
#define CTRL_STEADY_4                       24
#define CTRL_STEADY_5                       25
#define CTRL_STEADY_6                       26
#define CTRL_STEADY_7                       27
#define CTRL_STEADY_8                       28
#define CTRL_STEADY_9                       29
#define CTRL_UNDEF_0                        30
#define CTRL_UNDEF_1                        31
#define CTRL_UNDEF_2                        32
#define CTRL_UNDEF_3                        33
#define CTRL_UNDEF_4                        34
#define CTRL_UNDEF_5                        35
#define CTRL_UNDEF_6                        36
#define CTRL_UNDEF_7                        37
#define CTRL_UNDEF_8                        38
#define CTRL_UNDEF_9                        39
#define MAXSPEEDREACHED                     40
#define ZEROSPEEDREACHED                    41
#define SPEED__5                            42
#define SPEED__4                            43
#define SPEED__3                            44
#define SPEED__2                            45
#define SPEED__1                            46
#define SPEED_0                             47
#define SPEED_1                             48
#define SPEED_2                             49
#define SPEED_3                             50
#define SPEED_4                             51
#define SPEED_5                             52
#define SPEED_6                             53
#define SPEED_7                             54
#define SPEED_8                             55
#define SPEED_9                             56
#define SPEED_10                            57
#define SPEED_11                            58
#define SPEED_12                            59
#define SPEED_13                            60
#define SPEED_14                            61
#define SPEED_15                            62
#define SPEED_16                            63
#define SPEED_17                            64
#define SPEED_18                            65
#define SPEED_19                            66
#define SPEED_20                            67
#define SPEED_21                            68
#define SPEED_22                            69
#define SPEED_23                            70
#define SPEED_24                            71
#define SPEED_25                            72
#define SPEED_26                            73
#define SPEED_27                            74
#define SPEED_28                            75
#define SPEED_29                            76
#define SPEED_30                            77
#define SPEED_31                            78
#define SPEED_32                            79
#define SPEED_33                            80
#define SPEED_34                            81
#define SPEED_35                            82
#define SPEED_36                            83
#define SPEED_37                            84
#define SPEED_38                            85
#define SPEED_39                            86
#define SPEED_40                            87
#define SPEED_41                            88
#define SPEED_42                            89
#define SPEED_43                            90
#define SPEED_44                            91
#define SPEED_45                            92
#define SPEED_46                            93
#define SPEED_47                            94
#define SPEED_48                            95
#define SPEED_49                            96
#define SPEED_50                            97
#define SPEED_51                            98
#define SPEED_52                            99
#define SPEED_53                            100
#define SPEED_54                            101
#define SPEED_55                            102
#define ACCELERATE_0                        103
#define ACCELERATE_1                        104
#define ACCELERATE_2                        105
#define ACCELERATE_3                        106
#define ACCELERATE_4                        107
#define ACCELERATE_5                        108
#define ACCELERATE_6                        109
#define ACCELERATE_7                        110
#define ACCELERATE_8                        111
#define ACCELERATE_9                        112
#define BRAKE_0                             113
#define BRAKE_1                             114
#define BRAKE_2                             115
#define BRAKE_3                             116
#define BRAKE_4                             117
#define BRAKE_5                             118
#define BRAKE_6                             119
#define BRAKE_7                             120
#define BRAKE_8                             121
#define BRAKE_9                             122

#endif
